CREATE TABLE cmr_process_run_dtls (
    PROCESS_RUN_ID                    NUMBER(18, 0) ,
    PROCESS_NAME                      VARCHAR2(1000)    NOT NULL,
    P_SOLD_TO_BUSINESS_UNIT_ID        NUMBER(18, 0)     NOT NULL,
    P_GL_PERIOD_ID                    NUMBER(18, 0) ,
    P_FROM_DATE                       TIMESTAMP(6)  ,
    P_TO_DATE                         TIMESTAMP(6)  ,
    ACCRUAL_CUTOFF_FLAG               VARCHAR2(4)   ,
    ACCRUAL_OFFSET_DAYS               NUMBER        ,
    ACCRUAL_CUTOFF_DATE               DATE          ,
    PROC_RUN_PERIOD_START_DATE        DATE          ,
    PROC_RUN_PERIOD_END_DATE          DATE          ,
    PROC_RUN_PRIOR_PERIOD_START_DT    DATE          ,
    PROC_RUN_PRIOR_PERIOD_END_DT      DATE          ,
    TOTAL_PROCESSED_REC_CNT           NUMBER(18, 0) ,
    ERROR_REC_CNT                     NUMBER(18, 0) ,
    PERIOD_END_ACCRUAL_ADJ_DATE       DATE          ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    PARENT_REQUEST_ID                 NUMBER(18, 0) ,
    COMMIT_LIMIT                      NUMBER(18, 0) ,
    ACCRUAL_RUN_MODE                  VARCHAR2(20)  ,
    INCLUDE_PO_STATUS                 VARCHAR2(20)  ,
    TXN_COUNT_1                       NUMBER(18, 0) ,
    TXN_COUNT_2                       NUMBER(18, 0) ,
    TXN_COUNT_3                       NUMBER(18, 0) ,
    TXN_COUNT_4                       NUMBER(18, 0) ,
    TXN_COUNT_5                       NUMBER(18, 0) ,
    TXN_COUNT_6                       NUMBER(18, 0) ,
    TXN_COUNT_7                       NUMBER(18, 0) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    PROCESS_RUN_ID                    NUMBER(18, 0) ,
    PROCESS_NAME                      VARCHAR2(1000)    NOT NULL,
    P_SOLD_TO_BUSINESS_UNIT_ID        NUMBER(18, 0)     NOT NULL,
    P_GL_PERIOD_ID                    NUMBER(18, 0) ,
    P_FROM_DATE                       TIMESTAMP(6)  ,
    P_TO_DATE                         TIMESTAMP(6)  ,
    TOTAL_PROCESSED_REC_CNT           NUMBER(18, 0) ,
    ERROR_REC_CNT                     NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    ACCRUAL_CUTOFF_FLAG               VARCHAR2(4)   ,
    ACCRUAL_OFFSET_DAYS               NUMBER        ,
    ACCRUAL_CUTOFF_DATE               DATE          ,
    PROC_RUN_PERIOD_START_DATE        DATE          ,
    PROC_RUN_PERIOD_END_DATE          DATE          ,
    PROC_RUN_PRIOR_PERIOD_START_DT    DATE          ,
    PROC_RUN_PRIOR_PERIOD_END_DT      DATE          ,
    PERIOD_END_ACCRUAL_ADJ_DATE       DATE          ,
    PARENT_REQUEST_ID                 NUMBER(18, 0) ,
    COMMIT_LIMIT                      NUMBER(18, 0) ,
    ACCRUAL_RUN_MODE                  VARCHAR2(20)  ,
    INCLUDE_PO_STATUS                 VARCHAR2(20)  ,
    TXN_COUNT_1                       NUMBER(18, 0) ,
    TXN_COUNT_2                       NUMBER(18, 0) ,
    TXN_COUNT_3                       NUMBER(18, 0) ,
    TXN_COUNT_4                       NUMBER(18, 0) ,
    TXN_COUNT_5                       NUMBER(18, 0) ,
    TXN_COUNT_6                       NUMBER(18, 0) ,
    TXN_COUNT_7                       NUMBER(18, 0) ,
    START_DATE                        DATE          ,
    END_DATE                          DATE          ,
    CONSTRAINT pk_cmr_process_run_dtls PRIMARY KEY (PROCESS_RUN_ID, PROCESS_RUN_ID)
);
